Orq MCP is live: Use natural language to interrogate traces, spot regressions, and experiment your way to optimal AI configurations. Available in Claude Desktop, Claude Code, Cursor, and more. Start now →
cURL
curl --request POST \ --url https://api.orq.ai/v2/knowledge/{knowledge_id}/datasources/{datasource_id}/chunks/count \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "q": "", "enabled": true, "status": "<string>" } '
{ "count": 123 }
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
The unique identifier of the knowledge base
The unique identifier of the datasource.
Search query to find chunks by text content
Filter chunks by enabled status
Filter chunks by processing status
Chunks count
Was this page helpful?